
# $Id: urls.tcl,v 1.1.2.3 2002/04/04 11:42:19 dan Exp $

# Datasets and their expected output (the information that writeval sends to
# stdout - not the stuff that should be going into the file).

# URI/COADS:
set coads "http://dodsdev.gso.uri.edu/cgi-bin/dods-3.1/nph-nc/data/coads_climatology.nc"
set coads_sst_ce "SST\\\[0:0\\\]\\\[10:20\\\]\\\[50:60\\\]"
set coads_dds "Dataset {
    Float64 COADSX\[COADSX = 180\];
    Float64 COADSY\[COADSY = 90\];
    Float64 TIME\[TIME = 12\];
    Grid {
     ARRAY:
        Float64 SST\[TIME = 12\]\[COADSY = 90\]\[COADSX = 180\];
     MAPS:
        Float64 TIME\[TIME = 12\];
        Float64 COADSY\[COADSY = 90\];
        Float64 COADSX\[COADSX = 180\];
    } SST;
    Grid {
     ARRAY:
        Float64 AIRT\[TIME = 12\]\[COADSY = 90\]\[COADSX = 180\];
     MAPS:
        Float64 TIME\[TIME = 12\];
        Float64 COADSY\[COADSY = 90\];
        Float64 COADSX\[COADSX = 180\];
    } AIRT;
    Grid {
     ARRAY:
        Float64 SPEH\[TIME = 12\]\[COADSY = 90\]\[COADSX = 180\];
     MAPS:
        Float64 TIME\[TIME = 12\];
        Float64 COADSY\[COADSY = 90\];
        Float64 COADSX\[COADSX = 180\];
    } SPEH;
    Grid {
     ARRAY:
        Float64 WSPD\[TIME = 12\]\[COADSY = 90\]\[COADSX = 180\];
     MAPS:
        Float64 TIME\[TIME = 12\];
        Float64 COADSY\[COADSY = 90\];
        Float64 COADSX\[COADSX = 180\];
    } WSPD;
    Grid {
     ARRAY:
        Float64 UWND\[TIME = 12\]\[COADSY = 90\]\[COADSX = 180\];
     MAPS:
        Float64 TIME\[TIME = 12\];
        Float64 COADSY\[COADSY = 90\];
        Float64 COADSX\[COADSX = 180\];
    } UWND;
    Grid {
     ARRAY:
        Float64 VWND\[TIME = 12\]\[COADSY = 90\]\[COADSX = 180\];
     MAPS:
        Float64 TIME\[TIME = 12\];
        Float64 COADSY\[COADSY = 90\];
        Float64 COADSX\[COADSX = 180\];
    } VWND;
    Grid {
     ARRAY:
        Float64 SLP\[TIME = 12\]\[COADSY = 90\]\[COADSX = 180\];
     MAPS:
        Float64 TIME\[TIME = 12\];
        Float64 COADSY\[COADSY = 90\];
        Float64 COADSX\[COADSX = 180\];
    } SLP;
} coads_climatology;"

# URI/FNOC
set fnoc1 "http://dodsdev.gso.uri.edu/cgi-bin/dods-3.2/nph-dods/data/fnoc1.nc"
set fnoc1_ce "u\\\[0:0\\\]\\\[0:9\\\]\\\[0:9\\\]"
set fnoc2 "http://dodsdev.gso.uri.edu/cgi-bin/dods-3.2/nph-dods/data/fnoc2.nc"
set fnoc2_ce "u\\\[0:0\\\]\\\[0:9\\\]\\\[0:9\\\]"
set fnoc3 "http://dodsdev.gso.uri.edu/cgi-bin/dods-3.2/nph-dods/data/fnoc3.nc"
set fnoc3_ce "u\\\[0:0\\\]\\\[0:9\\\]\\\[0:9\\\],v\\\[0:0\\\]\\\[4:9\\\]\\\[4:9\\\]"

# URI/HDF/Chunked:
set hdf_1 "http://dodsdev.gso.uri.edu/cgi-bin/dods-3.2/nph-dods/data/k94365015635.hdf"
set hdf_1_ce "dsp_band_1\\\[20:30\\\]\\\[20:30\\\]"
set hdf_1_dds "Dataset {
    Grid {
     ARRAY:
        UInt32 dsp_band_1\[lat = 6144\]\[lon = 6144\];
     MAPS:
        Float64 lat\[6144\];
        Float64 lon\[6144\];
    } dsp_band_1;
} k94365015635.hdf;"

# URI/MatLab:
#set nscat_s2 "http://dodsdev.gso.uri.edu/cgi-bin/dods-3.2/nph-dods/data/NSCAT_S2.mat"
##set nscat_s2_dds "Dataset {
#    Float64 NSCAT_S2\[NSCAT_S2_row = 153\]\[NSCAT_S2_column = 843\];
#} NSCAT_S2;"

# JPL/NSCAT:  (I will get valid filenames from Todd soon)
		
#		http://dods.jpl.nasa.gov/cgi-bin/hdf/data/nscat/???

# JGOFS:
set jg_ctd "http://dodsdev.gso.uri.edu/cgi-bin/dods-3.2/nph-dods/rlctd"
set jg_ctd_dds "Dataset {
    Sequence {
        String cruiseid;
        String year;
        String station;
        String year_s;
        String month_s;
        String day_s;
        String time_s;
        String time_e;
        String lat_s;
        String lon_s;
        String lat_e;
        String lon_e;
        String depth_w;
        String pres_min;
        String pres_max;
        String temp_min;
        String temp_max;
        String sal_min;
        String sal_max;
        String o2_min;
        String o2_max;
        String pres;
        String temp;
        String sal;
        String o2;
        String flvolt;
        String light_tran_v;
        String numb_obs;
    } Level_0;
} rlctd;"

set jg_drifter "http://dodsdev.gso.uri.edu/cgi-bin/dods-3.2/nph-dods/drifter1999"
set jg_drifter_dds "Dataset {
    Sequence {
        String sequence_no;
        String yrday_gmt;
        String lon;
        String lat;
        String temp;
        String submergence;
        String year_gmt;
    } Level_0;
} drifter1999;"


